/*     LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.    */
/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2016_HOUSEHOLD_DATA_(H-FILE)_Cross-Sectional_IT_DELIMITED.dct, clear
/*
label define  hb020_cl1 AT   "sterreich" BE   "Belgique" BG   "Bulgaria" CH   "Switzerland" CY   "Cyprus" CZ   "Czech" DE   "Deutschland" DK   "Danmark" EE   "Estonia" ES   "Espaa" FI   "Suomi" FR   "France" GR   "Ellda" HU   "Hungary" IE   "Ireland" IS   "Iceland" IT   "Italia" LT   "Lithuania" LU   "Luxembourg" LV   "Latvia" MT   "Malta" NL   "Nederland" NO   "Norway" PL   "Poland" PT   "Portugal" RO   "Romania" SE   "Sverige" SI   "Slovenia" SK   "Slovak/republic" UK   "United"  
label define  hb050_cl3 1   "January-March" 2   "April-June" 3   "July-September" 4   "October-December"  
label define  hb050_f_cl4 1   "filled" -1   "missing"  
label define  hb060_f_cl6 1   "filled"  
label define  hb070_f_cl8 1   "filled" -1   "missing"  
label define  hb080_f_cl10 1   "filled" -1   "missing"  
label define  hb090_f_cl12 1   "filled" -1   "missing" -2   "only  na (no second responsible)"  
label define  hb100_f_cl14 1   "filled" -1   "missing"  
label define  hh010_cl15 1   "detached house" 2   "semi-detached or terraced house" 3   "apartment or flat in a building with less than 10 dwellings" 4   "apartment or flat in a building with 10 or more dwellings"  
label define  hh010_f_cl16 1   "filled" -1   "missing"  
label define  hh021_cl17 1   "Outright owner" 2   "Owner paying mortgage" 3   "Tenant or subtenant paying rent at prevailing or market rate" 4   "Accommodation is rented at a reduced rate (lower price that the market price" 5   "Accommodation is provided free"  
label define  hh021_f_cl18 1   "filled" -1   "missing" -5   "missing value of HH021 because HH020 is still used"  
label define  hh030_cl19 1   "1 room" 2   "2 rooms" 3   "3 rooms" 4   "4 rooms" 5   "5 rooms" 6   "6 rooms" 7   "7 rooms" 8   "8 rooms" 9   "9 rooms" 10   "10 or more rooms"  
label define  hh030_f_cl20 1   "filled" -1   "missing"  
label define  hh031_f_cl22 1   "filled" -1   "missing" -2   "n.a. (MS using objective national methods to calculate imputed rent)"  
label define  hh040_cl23 1   "yes" 2   "no"  
label define  hh040_f_cl24 1   "filled" -1   "missing"  
label define  hh050_cl25 1   "yes" 2   "no"  
label define  hh050_f_cl26 1   "filled" -1   "missing"  
label define  hh060_f_cl28 1   "filled" -1   "missing" -2   "na (HH020 not = 2 or 3)"  
label define  hh061_f_cl30 1   "filled" -1   "missing" -2   "na (HH020 not = 1 or 3 or 4) or (MS do not use subjective method to calculate imputed rent)"  
label define  hh070_f_cl32 1   "filled" -1   "missing"  
label define  hh071_f_cl34 1   "filled" -1   "missing" -2   "Not applicable"  
label define  hh081_cl35 1   "yes, for sole use of the household" 2   "yes, shared" 3   "no"  
label define  hh081_f_cl36 1   "filled" -1   "missing"  
label define  hh091_cl37 1   "yes, for sole use of the household" 2   "yes, shared" 3   "no"  
label define  hh091_f_cl38 1   "filled" -1   "missing"  
label define  hs011_cl39 1   "yes, once" 2   "yes, twice or more" 3   "no"  
label define  hs011_f_cl40 1   "filled" -1   "missing" -2   "not applicable (outright owner or rent free during the last twelve months)" -5   "missing value of HS011 because HS010 is still used"  
label define  hs021_cl41 1   "yes, once" 2   "yes, twice or more" 3   "no"  
label define  hs021_f_cl42 1   "filled" -1   "missing" -2   "na (no utility bills)" -5   "missing value of HS021 because HS020 is still used"  
label define  hs031_cl43 1   "yes, once" 2   "yes, twice or more" 3   "no"  
label define  hs031_f_cl44 1   "filled" -1   "missing" -2   "na (no hire purchase instalments and no other loan payments)" -5   "missing value of HS031 because HS030 is still used"  
label define  hs040_cl45 1   "yes" 2   "no"  
label define  hs040_f_cl46 1   "filled" -1   "missing"  
label define  hs050_cl47 1   "yes" 2   "no"  
label define  hs050_f_cl48 1   "filled" -1   "missing"  
label define  hs060_cl49 1   "yes" 2   "no"  
label define  hs060_f_cl50 1   "filled" -1   "missing"  
label define  hs070_cl51 1   "yes" 2   "no - cannot afford" 3   "no - other reason"  
label define  hs070_f_cl52 1   "filled" -1   "missing"  
label define  hs080_cl53 1   "yes" 2   "no - cannot afford" 3   "no - other reason"  
label define  hs080_f_cl54 1   "filled" -1   "missing"  
label define  hs090_cl55 1   "yes" 2   "no - cannot afford" 3   "no - other reason"  
label define  hs090_f_cl56 1   "filled" -1   "missing"  
label define  hs100_cl57 1   "yes" 2   "no - cannot afford" 3   "no - other reason"  
label define  hs100_f_cl58 1   "filled" -1   "missing"  
label define  hs110_cl59 1   "yes" 2   "no - cannot afford" 3   "no - other reason"  
label define  hs110_f_cl60 1   "filled" -1   "missing"  
label define  hs120_cl61 1   "with great difficulty" 2   "with difficulty" 3   "with some difficulty" 4   "fairly easily" 5   "easily" 6   "very easily"  
label define  hs120_f_cl62 1   "filled" -1   "missing"  
label define  hs130_f_cl64 1   "filled" -1   "missing"  
label define  hs140_cl65 1   "A heavy burden" 2   "Somewhat a burden" 3   "not burden at all"  
label define  hs140_f_cl66 1   "filled" -1   "missing"  
label define  hs150_cl67 1   "Repayment is a heavy burden" 2   "Repayment is somewhat a burden" 3   "Repayment is not a burden at all"  
label define  hs150_f_cl68 1   "filled" -1   "missing" -2   "not applicable ( no repayment of debts)"  
label define  hs160_cl69 1   "yes" 2   "no"  
label define  hs160_f_cl70 1   "filled" -1   "missing"  
label define  hs170_cl71 1   "yes" 2   "no"  
label define  hs170_f_cl72 1   "filled" -1   "missing"  
label define  hs180_cl73 1   "yes" 2   "no"  
label define  hs180_f_cl74 1   "filled" -1   "missing"  
label define  hs190_cl75 1   "yes" 2   "no"  
label define  hs190_f_cl76 1   "filled" -1   "missing"  
label define  hd080_cl204 1   "Yes" 2   "No - household cannot afford it" 3   "No - other reason"  
label define  hd080_f_cl205 1   "Filled" -1   "Missing" -7   "Not applicable: HB010 < 2013"  
label define  hc040_cl206 1   "with great difficulty" 2   "with difficulty" 3   "with some difficulty" 4   "fairly easily" 5   "easily" 6   "very easily"  
label define  hc040_f_cl207 1   "filled" -1   "missing" -4   "no costs of childcare in the household" -5   "no children aged 0-12 in the household" -7   "not applicable HB010 not = 2016"  
label define  hc050_cl208 1   "yes" 2   "no"  
label define  hc050_f_cl209 1   "filled" -1   "missing" -5   "no children aged 0-12 in the household" -7   "not applicable HB010 not = 2016"  
label define  hc060_cl210 1   "cannot afford it" 2   "no places available" 3   "places available but not nearby" 4   "places available but opening hours not suitable" 5   "places available but the quality of the services available not" 6   "other reasons"  
label define  hc060_f_cl211 1   "filled" -1   "missing" -2   "not applicable (HC050 = 2)" -5   "no children aged 0-12 in the household" -7   "not applicable HB010 not = 2016"  
label define  hc100_cl212 1   "with great difficulty" 2   "with difficulty" 3   "with some difficulty" 4   "fairly easily" 5   "easily" 6   "very easily"  
label define  hc100_f_cl213 1   "filled" -1   "missing" -4   "no costs of formal education in the household" -5   "nobody in the household follows formal education" -7   "not applicable HB010 not = 2016"  
label define  hc160_cl214 1   "yes" 2   "no"  
label define  hc160_f_cl215 1   "filled" -1   "missing" -7   "not applicable HB010 not = 2016"  
label define  hc170_cl216 1   "yes" 2   "no"  
label define  hc170_f_cl217 1   "filled" -1   "missing" -2   "not applicable (HC160=2)" -7   "not applicable HB010 not = 2016"  
label define  hc180_cl218 1   "with great difficulty" 2   "with difficulty" 3   "with some difficulty" 4   "fairly easily" 5   "easily" 6   "very easily"  
label define  hc180_f_cl219 1   "filled" -1   "missing" -2   "not applicable (HC160=2)" -7   "not applicable HB010 not = 2016"  
label define  hc190_cl220 1   "yes" 2   "no"  
label define  hc190_f_cl221 1   "filled" -1   "missing" -4   "no costs of formal education in the household" -5   "nobody in the household follows formal education" -7   "not applicable HB010 not = 2016"  
label define  hc200_cl222 1   "yes" 2   "no"  
label define  hc200_f_cl223 1   "filled" -1   "missing" -2   "not applicable (HC190=2)" -7   "not applicable HB010 not = 2016"  
label define  hc210_cl224 1   "less than 10 hours per week" 2   "at least 10 but less than 20 hours per week" 3   "20 hours per week or more"  
label define  hc210_f_cl225 1   "filled" -1   "missing" -2   "not applicable (HC190=2 or HC200=2)" -7   "not applicable HB010 not = 2016"  
label define  hc220_cl226 1   "yes" 2   "no"  
label define  hc220_f_cl227 1   "filled" -1   "missing" -2   "not applicable (HC190=2 or HC240=2)" -7   "not applicable HB010 not = 2016"  
label define  hc230_cl228 1   "with great difficulty" 2   "with difficulty" 3   "with some difficulty" 4   "fairly easily" 5   "easily" 6   "very easily"  
label define  hc230_f_cl229 1   "filled" -1   "missing" -2   "not applicable (HC190=2 or HC200=2 or HC220=2)" -7   "not applicable HB010 not = 2016"  
label define  hc240_cl230 1   "yes" 2   "no"  
label define  hc240_f_cl231 1   "filled" -1   "missing" -2   "not applicable (HC190=2)" -7   "not applicable HB010 not = 2016"  
label define  hc250_cl232 1   "cannot afford it" 2   "refused by person needing such services" 3   "no such care services available" 4   "quality of the services available not satisfactory" 5   "other reasons"  
label define  hc250_f_cl233 1   "filled" -1   "missing" -2   "not applicable (HC190=2 or HC240=2)" -7   "not applicable HB010 not = 2016"  
label define  hx060_cl237 5   "One person household" 6   "2 adults, no dependent children, both adults under 65 years" 7   "2 adults, no dependent children, at least one adult 65 years or more" 8   "Other households without dependent children" 9   "Single parent household, one or more dependent children" 10   "2 adults, one dependent child" 11   "2 adults, two dependent children" 12   "2 adults, three or more dependent children" 13   "Other households with dependent children" 16   "Other (these household are excluded from Laeken indicators calculation)"  
label define  hx070_cl238 1   "owner" 2   "tenant"  
label define  hx080_cl239 0   "not at risk of poverty" 1   "at risk of poverty"  
label define  hx120_cl241 .   "not applicable" 0   "not overcrowded" 1   "overcrowded"  
label values  hb020 hb020_cl1
label values  hb050 hb050_cl3
label values  hb050_f hb050_f_cl4
label values  hb060_f hb060_f_cl6
label values  hb070_f hb070_f_cl8
label values  hb080_f hb080_f_cl10
label values  hb090_f hb090_f_cl12
label values  hb100_f hb100_f_cl14
label values  hh010 hh010_cl15
label values  hh010_f hh010_f_cl16
label values  hh021 hh021_cl17
label values  hh021_f hh021_f_cl18
label values  hh030 hh030_cl19
label values  hh030_f hh030_f_cl20
label values  hh031_f hh031_f_cl22
label values  hh040 hh040_cl23
label values  hh040_f hh040_f_cl24
label values  hh050 hh050_cl25
label values  hh050_f hh050_f_cl26
label values  hh060_f hh060_f_cl28
label values  hh061_f hh061_f_cl30
label values  hh070_f hh070_f_cl32
label values  hh071_f hh071_f_cl34
label values  hh081 hh081_cl35
label values  hh081_f hh081_f_cl36
label values  hh091 hh091_cl37
label values  hh091_f hh091_f_cl38
label values  hs011 hs011_cl39
label values  hs011_f hs011_f_cl40
label values  hs021 hs021_cl41
label values  hs021_f hs021_f_cl42
label values  hs031 hs031_cl43
label values  hs031_f hs031_f_cl44
label values  hs040 hs040_cl45
label values  hs040_f hs040_f_cl46
label values  hs050 hs050_cl47
label values  hs050_f hs050_f_cl48
label values  hs060 hs060_cl49
label values  hs060_f hs060_f_cl50
label values  hs070 hs070_cl51
label values  hs070_f hs070_f_cl52
label values  hs080 hs080_cl53
label values  hs080_f hs080_f_cl54
label values  hs090 hs090_cl55
label values  hs090_f hs090_f_cl56
label values  hs100 hs100_cl57
label values  hs100_f hs100_f_cl58
label values  hs110 hs110_cl59
label values  hs110_f hs110_f_cl60
label values  hs120 hs120_cl61
label values  hs120_f hs120_f_cl62
label values  hs130_f hs130_f_cl64
label values  hs140 hs140_cl65
label values  hs140_f hs140_f_cl66
label values  hs150 hs150_cl67
label values  hs150_f hs150_f_cl68
label values  hs160 hs160_cl69
label values  hs160_f hs160_f_cl70
label values  hs170 hs170_cl71
label values  hs170_f hs170_f_cl72
label values  hs180 hs180_cl73
label values  hs180_f hs180_f_cl74
label values  hs190 hs190_cl75
label values  hs190_f hs190_f_cl76
label values  hd080 hd080_cl204
label values  hd080_f hd080_f_cl205
label values  hc040 hc040_cl206
label values  hc040_f hc040_f_cl207
label values  hc050 hc050_cl208
label values  hc050_f hc050_f_cl209
label values  hc060 hc060_cl210
label values  hc060_f hc060_f_cl211
label values  hc100 hc100_cl212
label values  hc100_f hc100_f_cl213
label values  hc160 hc160_cl214
label values  hc160_f hc160_f_cl215
label values  hc170 hc170_cl216
label values  hc170_f hc170_f_cl217
label values  hc180 hc180_cl218
label values  hc180_f hc180_f_cl219
label values  hc190 hc190_cl220
label values  hc190_f hc190_f_cl221
label values  hc200 hc200_cl222
label values  hc200_f hc200_f_cl223
label values  hc210 hc210_cl224
label values  hc210_f hc210_f_cl225
label values  hc220 hc220_cl226
label values  hc220_f hc220_f_cl227
label values  hc230 hc230_cl228
label values  hc230_f hc230_f_cl229
label values  hc240 hc240_cl230
label values  hc240_f hc240_f_cl231
label values  hc250 hc250_cl232
label values  hc250_f hc250_f_cl233
label values  hx060 hx060_cl237
label values  hx070 hx070_cl238
label values  hx080 hx080_cl239
label values  hx120 hx120_cl241
*/
save  EU-SILC_A2016_HOUSEHOLD_DAT.dta, replace
